### Hierarchy

- _NanoSQLTransactionQuery

## Index

### Constructors

- constructor

### Properties

- _action
- _actionArgs
- _modifiers
- _queries
- _table

### Methods

- exec
- orm
- where

## Constructors

### constructor

- new _NanoSQLTransactionQuery(action: string, args: any, table: string, queries: any[]): _NanoSQLTransactionQuery

- - Defined in index-transaction.ts:57

  #### Parameters

  - ##### action: string

  - ##### args: any

  - ##### table: string

  - ##### queries: any[]

  #### Returns _NanoSQLTransactionQuery

## Properties

### _action

_action: string

- Defined in index-transaction.ts:55

### _actionArgs

_actionArgs: any

- Defined in index-transaction.ts:57

### _modifiers

_modifiers: any[]

- Defined in index-transaction.ts:49

### _queries

_queries: any[]

- Defined in index-transaction.ts:53

### _table

_table: string

- Defined in index-transaction.ts:51

## Methods

### exec

- exec(): void

- - Defined in index-transaction.ts:75

  #### Returns void

### orm

- orm(ormArgs?: (string | ORMArgs)[]): _NanoSQLTransactionQuery

- - Defined in index-transaction.ts:69

  #### Parameters

  - ##### Optional ormArgs: (string | ORMArgs)[]

  #### Returns _NanoSQLTransactionQuery

### where

- where(args: Array<any | Array<any>>): _NanoSQLTransactionQuery

- - Defined in index-transaction.ts:66

  #### Parameters

  - ##### args: Array<any | Array<any>>

  #### Returns _NanoSQLTransactionQuery

Generated using TypeDoc